com.smartgwt.client.types

## Enum PickListItemIconPlacement

- java.lang.Object
- - java.lang.Enum<PickListItemIconPlacement>
  - - com.smartgwt.client.types.PickListItemIconPlacement

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<PickListItemIconPlacement>

      public enum PickListItemIconPlacement
      extends java.lang.Enum<PickListItemIconPlacement>
      implements ValueEnum

  For PickList items with `PickListItemIconPlacement` set such that the pickList does not render near-origin, possible location for rendering formItemIcons.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTH` icon will be displayed both inline (within the form item itself) and within the `pickerNavigationBar`
    `FORMITEM` icon will be displayed inline within the form item itself (and not within the `pickerNavigationBar`
    `PICKERNAVIGATIONBAR` icon will be displayed in the `pickerNavigationBar` only (and not rendered inline within the formItem itself)

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static PickListItemIconPlacement` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PickListItemIconPlacement[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PICKERNAVIGATIONBAR

          public static final PickListItemIconPlacement PICKERNAVIGATIONBAR

      icon will be displayed in the `pickerNavigationBar` only (and not rendered inline within the formItem itself)

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "pickerNavigationBar".

    - #### FORMITEM

          public static final PickListItemIconPlacement FORMITEM

      icon will be displayed inline within the form item itself (and not within the `pickerNavigationBar`

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "formItem".

    - #### BOTH

          public static final PickListItemIconPlacement BOTH

      icon will be displayed both inline (within the form item itself) and within the `pickerNavigationBar`

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "both".

  - ### Method Detail

    - #### values

          public static PickListItemIconPlacement[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PickListItemIconPlacement c : PickListItemIconPlacement.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PickListItemIconPlacement valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`